Bug 141659 - FILESAVE: DOC: Shape disappears after RT
Summary: FILESAVE: DOC: Shape disappears after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks: DOC-Shapes
  Show dependency treegraph
 
Reported: 2021-04-12 20:28 UTC by Xisco Faulí
Modified: 2022-04-20 18:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison before and after RT (624.96 KB, image/png)
2021-04-12 20:28 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-12 20:28:36 UTC
Created attachment 171139 [details]
Comparison before  and after RT

Step to reproduce:
1. Open attachment 102666 [details] from bug 81263
2. Save it as DOC
3. Open the new generate document
4. Go to page 3

-> Second shape from the left is gone. See comparison

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 4eac7a11e5d39ca6c783f65f1ca2df009b9a37e4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-04-12 20:29:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=188ec34cf157ffee8c63f03f420ca9daafb5ff29

author	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-12-12 23:44:26 +0100
committer	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-12-30 10:47:05 +0100
commit 188ec34cf157ffee8c63f03f420ca9daafb5ff29 (patch)
tree c1a24efdaf13076fd9e3d4597976e5290c5630bb
parent b808610533fce13228c4f4ad8924586b560a5928 (diff)
atrflyin.cxx Modify no more

Bisected with: bibisect-linux64-7.2

Adding Cc: to Bjoern Michaelsen
Comment 2 Björn Michaelsen 2021-10-25 19:39:40 UTC
https://gerrit.libreoffice.org/c/core/+/124162
Comment 3 Commit Notification 2021-10-29 11:24:54 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3cfd63cb55ab1a7e6df53eaeb2a7623be05983d0

tdf#140798, tdf#143815, tdf#141659: fix fly content hint handling

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-11-03 10:57:16 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/84c8adb703906b0fe2c7f9a5e7174e00139a08f3

tdf#140798, tdf#143815, tdf#141659: fix fly content hint handling

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Justin L 2021-11-10 08:40:48 UTC
I presume this should be marked as fixed.
Confirmed the missing shape is present again in master.
Comment 6 Jean-Baptiste Faure 2022-04-20 18:41:10 UTC
The commit for this bug generates a new regression : bug 148691

Best regards. JBF